Zum Inhalt springen
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Update contact topics

PATCH/contacts/{id}/topics
Autorisierung
AuthorizationBearer-Token · headererforderlich

A BillionSend API key (bs_…).

Pfadparameter
idstringerforderlich
min. Länge 1
Request-Body
erforderlichapplication/json
Array von object
idstring<uuid>erforderlich
subscriptionstringerforderlich
Erlaubt:opt_inopt_out
Antworten
200

Contact topic subscriptions updated

idstring<uuid>erforderlich
401

Missing, malformed, unknown or revoked API key

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
404

Not found

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
422

Validation error

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
Ausprobieren
Server
Autorisierung
Parameter
Bodyapplication/json
Anfrage
curl -X PATCH 'https://api.billionsend.com/contacts/string/topics' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "subscription": "opt_in"
  }
]'
Antwort
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

War diese Seite hilfreich?